# Virtual Network Computing
from ORL

## VNC History

Version 3.3.2 is the second release of VNC based on version 3.3 of the protocol.

### Changes in version 3.3.2 R2

#### Xvnc

Cutting text inside Xvnc works to a remote viewer again.

Resource leak fixed which limited total number of times Xvnc could be connected to.

#### vncserver

Warns of likely failure when starting a 16 bpp desktop on Solaris.

No longer tries to find out the geometry, depth and pixel format of the current X display being used. This feature can be enabled if desired by uncommenting a line in the script.

### Changes in version 3.3.2

This primarily concerns changes to the Unix and Java packages. The changes to the Windows packages are listed separately here.

The changes in 3.3.2 will have little effect on the normal user. There should be a slight increase in speed in certain circumstances, but the majority of changes are 'under the hood'. The X server is now based on XFree86 3.3.2. This should make it easier to build on more platforms, and means that it is now based on X11R6.3 rather than X11R6.

#### X vncviewer

- -viewonly, -geometry, -wmdecoration options
- Options for debugging servers: change -delay to -rawdelay, plus
-copyrectdelay, -region
- Options allowed before or after host:dpynum argument
- Handle changes to local X keyboard mapping
- Rudimentary single bit-per-pixel support (thanks to Chris Hooper)

#### Xvnc server

- Based on XFree86 3.3.2 distribution
- Faster pixel-format translation routines
- Improved HTTP server. Now performs substitution on any files ending in .vnc, so that default options to the VNC applet can be configured on the server side.
- -economictranslate option to use less memory-hungry translation
- Supports viewers requesting only a subregion of the screen.
- Better log file messages with timestamps.

For comments, feedback, etc, please see the 'Keeping in touch' page.
Copyright 1998 - The Olivetti & Oracle Research Lab